package com.search.supersearch.vo;

import com.search.supersearch.pojo.DocsIndex;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author 喜欢番茄火锅
 * @date 2023/10/10 16:14
 */
@NoArgsConstructor
@Data
@AllArgsConstructor
@ToString
public class DocsIndexVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "元数据")
    private DocsIndex source;
    @ApiModelProperty(value = "高亮字段")
    private Map<String, List<String>> highlight;
}
