package com.tika.tika.dto;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.elasticsearch.annotations.Field;

/**
 * @author 喜欢番茄火锅
 * @date 2023/9/13 15:16
 */
@NoArgsConstructor
@Data
public class FileDTO {
    /**
     * extension
     */
    @Field("extension")
    private String extension;
    /**
     * contentType
     */
    @Field("content_type")
    private String contentType;
    /**
     * created
     */
    @Field("created")
    private String created;
    /**
     * lastModified
     */
    @Field("last_modified")
    private String lastModified;
    /**
     * lastAccessed
     */
    @Field("last_accessed")
    private String lastAccessed;
    /**
     * indexingDate
     */
    @Field("indexing_date")
    private String indexingDate;
    /**
     * filesize
     */
    @Field("filesize")
    private Integer filesize;
    /**
     * filename
     */
    @Field("filename")
    private String filename;
    /**
     * url
     */
    @Field("url")
    private String url;
}
