package com.tika.tika.util;

import cn.hutool.json.JSONUtil;
import com.tika.tika.pojo.SearchType;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

/**
 * @author 喜欢番茄火锅
 * @date 2023/9/14 14:55
 */
public class FileUtil {

    public static List<SearchType> getSearchType(String file) throws IOException {
        InputStream inputStream = FileUtil.class.getClassLoader().getResourceAsStream(file);
        byte[] buff = new byte[inputStream.available()];
        String json = null;
        int len;
        while ((len = inputStream.read(buff)) != -1) {
            json = new String(buff, 0, len);
        }

        return JSONUtil.toList(json, SearchType.class);

    }
}
