package com.search.supersearch.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author 喜欢番茄火锅
 * @date 2023/9/14 14:22
 */
@Data
public class SearchDTO {

    @ApiModelProperty(value = "搜索系统类型", required = true)
    @NotNull
    private List<String> searchType;

    @ApiModelProperty(value = "搜索内容", required = true)
    @NotNull
    private String keyword;

    @ApiModelProperty(value = "页码", required = true)
    private Integer page;

    @ApiModelProperty(value = "大小", required = true)
    private Integer size;

    @ApiModelProperty(value = "是否精确搜索", required = true)
    @NotNull
    private Boolean match;
}
