package com.tika.tika.dto;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;

/**
 * @author 喜欢番茄火锅
 * @date 2023/9/13 15:15
 */
@NoArgsConstructor
@Data
@Document(indexName = "test_docs1")
public class DocsDTO {
    @Id
    private String id;
    /**
     * content
     */
    @Field("content")
    private String content;
    /**
     * meta
     */
    @Field("meta")
    private MetaDTO meta;
    /**
     * file
     */
    @Field("file")
    private FileDTO file;
    /**
     * path
     */
    @Field("path")
    private PathDTO path;
}
