package com.tika.tika;

import lombok.SneakyThrows;
import org.apache.tika.Tika;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.elasticsearch.core.ElasticsearchOperations;

import javax.annotation.Resource;
import java.io.File;
import java.io.Reader;
import java.net.URL;

@SpringBootTest
class TikaTests {

    @Resource
    private ElasticsearchOperations elasticsearchOperations;

    @Test
    @SneakyThrows
    public void run3() {
        File file = new File("/Users/wangrui/Downloads/爱小家顾大家+国家电投筑就抗疫“后盾”——国家电投抗疫期间关爱员工家属侧记.pdf");
        Tika tika = new Tika();
        Reader parse = tika.parse(file);
        System.out.println(1);
    }

    @Test
    @SneakyThrows
    public void run2() {
        try {
//            BufferedInputStream in = FileUtil.getInputStream("/Users/wangrui/Downloads/电力电缆头.txt");
//            InputStream resourceAsStream = TikaTests.class.getResourceAsStream("/Users/wangrui/Downloads/电力电缆头.txt");
//            String s1 = new Tika().parseToString(in);
//            System.out.println(s1);
            URL url = new URL("https://platomixtest.oss-cn-beijing.aliyuncs.com/platomixtest/platomixtest.txt?Expires=1695111153&OSSAccessKeyId=TMP.3KgBgUFnL9aMuUY62WrAJLmy7HRTtdbnYi2V5C6VpY1wDHTnos7HhJoEhjcodpcvg25QfFryt328U9QtJ3zAooEe1hnPo5&Signature=qW0aE9GRQdL5eelHUJZ%2FHdPAf8o%3D&response-content-type=text%2Fplain%3Bcharset%3Dutf-8%3B");

            System.out.println(new Tika().parseToString(url));
            String s = new Tika().parseToString(new File("/Users/wangrui/Downloads/爱小家顾大家+国家电投筑就抗疫“后盾”——国家电投抗疫期间关爱员工家属侧记.pdf"));
//            System.out.println(s);
            File file = new File("/Users/wangrui/Downloads/爱小家顾大家+国家电投筑就抗疫“后盾”——国家电投抗疫期间关爱员工家属侧记.pdf");
            Tika tika = new Tika();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    @SneakyThrows
    public void run() {
        try {
            File file = new File("/Users/wangrui/Downloads/电力储能.xlsx");
            Tika tika = new Tika();
            String fileType = tika.detect(file);

            Reader parse = tika.parse(file);
            String s = tika.parseToString(file);
            System.out.println(s);

            System.out.println(fileType);
            if (fileType != null && fileType.contains("/")) {
                fileType = fileType.substring(fileType.indexOf("/") + 1);
            }
            System.out.println(fileType);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
